Subject: Re: bug#51762: 13.0.14; environment formating

From: Arash Esbati <[email-masked]>
Date: Wed, 17 Nov 2021 11:17:41 +0100

Ikumi Keita <[email-masked]> writes:

>>>>>> Arash Esbati <[email-masked]> writes:
>
>> Do you have an idea about the performance hit?
>
> Unfortunatetly, no. I just tried several examples by hand and checked
> that "make check" passes. They worked smoothly so I expect there isn't
> serious performance problem.

There is `benchmark-run' but I don't think the performance hit is big
enough to go through the trouble and benchmark it.

>> And while we're at it, we'll have to take care of this comment in
>> `LaTeX-verbatim-macro-boundaries':
>
>>     ;; XXX: Here we assume we are dealing with \verb which
>>     ;; expects the delimiter right behind the command.
>>     ;; However, \lstinline can also cope with whitespace as
>>     ;; well as an optional argument after the command.
>
>> Other packages like fancyvrb and minted do the same: Inline verb macros
>> can have an optional and a mandatory argument.  So the regexp fun will
>> continue :-)
>
> OMG! 😖

:-)

> Anyway, I'd like to commit the attached revised fix along with some
> additional regression tests if no one objects.

Yes, please go ahead.

Best, Arash